ALAS-2019-1280


Amazon Linux AMI Security Advisory: ALAS-2019-1280
Advisory Release Date: 2019-09-18 21:27 Pacific
Severity: Medium

Issue Overview:

It was found that paravirt_patch_call/jump() functions in the arch/x86/kernel/paravirt.c in the Linux kernel mishandles certain indirect calls, which makes it easier for attackers to conduct Spectre-v2 attacks against paravirtualized guests.(CVE-2018-15594 )

A buffer overflow due to a singed-unsigned comparsion was found in hidp_process_report() in the net/bluetooth/hidp/core.c in the Linux kernel. The buffer length is an unsigned int but gets cast to a signed int which in certain conditions can lead to a system panic and a denial-of-service.(CVE-2018-9363 )

Note: The Release Date is incorrect. These CVEs were fixed Sept. 2018


Affected Packages:

kernel


Issue Correction:
Run yum update kernel and restart the instance to update your system.

New Packages:
i686:
    perf-debuginfo-4.14.67-66.56.amzn1.i686
    kernel-tools-debuginfo-4.14.67-66.56.amzn1.i686
    kernel-debuginfo-4.14.67-66.56.amzn1.i686
    kernel-4.14.67-66.56.amzn1.i686
    kernel-debuginfo-common-i686-4.14.67-66.56.amzn1.i686
    kernel-tools-devel-4.14.67-66.56.amzn1.i686
    kernel-devel-4.14.67-66.56.amzn1.i686
    kernel-tools-4.14.67-66.56.amzn1.i686
    kernel-headers-4.14.67-66.56.amzn1.i686
    perf-4.14.67-66.56.amzn1.i686

src:
    kernel-4.14.67-66.56.amzn1.src

x86_64:
    kernel-headers-4.14.67-66.56.amzn1.x86_64
    kernel-debuginfo-4.14.67-66.56.amzn1.x86_64
    perf-debuginfo-4.14.67-66.56.amzn1.x86_64
    perf-4.14.67-66.56.amzn1.x86_64
    kernel-4.14.67-66.56.amzn1.x86_64
    kernel-tools-debuginfo-4.14.67-66.56.amzn1.x86_64
    kernel-devel-4.14.67-66.56.amzn1.x86_64
    kernel-debuginfo-common-x86_64-4.14.67-66.56.amzn1.x86_64
    kernel-tools-devel-4.14.67-66.56.amzn1.x86_64
    kernel-tools-4.14.67-66.56.amzn1.x86_64